#ProcessorAdvisory.py
'''Functions to process the advisory component.'''

import logging

# gitlab projects
# TODO: Package these projects so they are robust for importing
from AdvisoryBuilder import DataGatherer # created by jws52

from ProcessorUtils import add_filters_to_sublogger, short_name

logger = logging.getLogger('Processor.Advisory')
add_filters_to_sublogger(logger)

def process_in_job_advisory(jobPath,status,config,component):
    '''Generates a word processor file containing some basic survey statistics
    and output figures from deposition, environmental suitability, and
    eventually also the epi model. This template advisory is intended to speed
    up the process of writing advisories. The intended user is a local expert
    who edits the content of the document.
    Uses the gitlab project EWS-advisory-builder.'''

    config_advisory = config[component].copy()

    config_advisory['jobPath'] = jobPath

    # provide top-level arguments to advisory config
    for k,v in config.items():
        if k not in short_name.keys():
            config_advisory[k]=v

    dateString = config['StartString']

    layout = 'tight'

    logging.info(f"Running for scenario {config_advisory}, {dateString}, {layout}")

    report_names = DataGatherer.run_each_subregion(config_advisory, dateString, layout)

    # pass the report filenames to upload to the remote server

    proc_out = {}
    # Output files available for upload
    proc_out['output'] = report_names
    # Processing files available for clearing
    proc_out['clearup'] = None

    return proc_out
