
#note this script only works if run in the project docker image, or an environment with the necessary paths and
# software installed

source /storage/app/miniconda3/bin/activate /storage/app/EWS_prod/envs/conda/py3EWS/

PACKAGES_DIR="../../../../" # assumes run from the tests/integration/partial dir

flagdir=$PACKAGES_DIR/flagdir
epimodel=$PACKAGES_DIR/epimodel
advisory=$PACKAGES_DIR/advisory_builder
met_processing=$PACKAGES_DIR/met_extractor_v2/met_data_extraction
met_processor=$PACKAGES_DIR/environmental_suitability/environmental_suitability
plotting=$PACKAGES_DIR/plotting/plotting
post_processing=$PACKAGES_DIR/post_processing/ews_postprocessing
source_gen=$PACKAGES_DIR/source_gen
coordinator=$PACKAGES_DIR/coordinator/coordinator
coordinator_tests=$PACKAGES_DIR/coordinator/tests

export PYTHONPATH=$PYTHONPATH:$flagdir:$epimodel:$advisory:$met_processing:$met_processor:$plotting:$source_gen:$post_processing:$coordinator:$coordinator_tests

echo $PYTHONPATH

python3 -m coverage run run_test_suite.py
#python3 -m unittest test_advisory.py
#python3 -m unittest test_deposition.py
#python3 -m unittest test_env_suit.py
#python3 -m unittest test_epi.py
#python3 -m unittest test_survey.py
